%define upstream_name    B-Debug
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Walk Perl syntax tree, printing debug info about ops
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel


%description
See _ext/B/README_ and the newer the B::Concise manpage, the B::Terse
manpage.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Feb 18 2011 jquelin <jquelin> 1.160.0-2.mga1
+ Revision: 53571
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 23193
- cleaning spec file
- imported package perl-B-Debug

